Index: xine_input_vdr.c
===================================================================
RCS file: /cvsroot/xineliboutput/vdr-xineliboutput/xine_input_vdr.c,v
retrieving revision 1.79
diff -u -r1.79 xine_input_vdr.c
--- xine_input_vdr.c	12 Apr 2007 20:49:55 -0000	1.79
+++ xine_input_vdr.c	28 Apr 2007 13:57:12 -0000
@@ -3795,6 +3837,7 @@
     write_control(this, tracks);
   }
 
+#ifdef XINE_STREAM_INFO_DVD_TITLE_NUMBER
   i = _x_stream_info_get(this->stream,XINE_STREAM_INFO_DVD_TITLE_NUMBER);
   if(i >= 0) {
     sprintf(tracks, "INFO DVDTITLE %d\r\n", i);
@@ -3804,6 +3847,7 @@
       write_control(this, tracks);
     LOGDBG(tracks);
   }
+#endif
 }
 
 /* Map some xine input events to vdr input (remote key names) */
@@ -3913,13 +3957,15 @@
   switch (event->type) {
     case XINE_EVENT_UI_SET_TITLE:
       if(event->stream==this->slave_stream) {
-	int tt;
-	char msg[256];
+	char msg[256], titlen[64] = "";
 	xine_ui_data_t *data = (xine_ui_data_t *)event->data;
 	LOGMSG("XINE_EVENT_UI_SET_TITLE: %s", data->str);
 
-	tt = _x_stream_info_get(this->stream,XINE_STREAM_INFO_DVD_TITLE_NUMBER);
-	snprintf(msg, sizeof(msg), "INFO TITLE %s\r\nINFO DVDTITLE %d\r\n", data->str, tt);
+#ifdef XINE_STREAM_INFO_DVD_TITLE_NUMBER
+	int tt = _x_stream_info_get(this->stream,XINE_STREAM_INFO_DVD_TITLE_NUMBER);
+	snprintf(titlen, sizeof(titlen), "INFO DVDTITLE %d\r\n", tt);
+#endif
+	snprintf(msg, sizeof(msg), "INFO TITLE %s\r\n%s", data->str, titlen);
 	msg[sizeof(msg)-1] = 0;
 	if(this->funcs.xine_input_event) 
 	  this->funcs.xine_input_event(msg, NULL);
@@ -3962,7 +4008,11 @@
 	  int logs = xine_get_log_section_count(xine);
 	  const char * const * names = xine_get_log_names(xine);
 	  for(i=0; i<logs; i++) {
+#if XINE_VERSION_CODE < 10105
 	    const char * const * lines = xine_get_log(xine, i);
+#else
+	    char * const * lines = xine_get_log(xine, i);
+#endif
 	    if(lines[0]) {
 	      printf("\nLOG: %s\n",names[i]);
 	      for(j=0; lines[j] && *lines[j]; j++)
